Subject: Re: bug#28503: 25.3; buffer-file-name returns nil in eww-pdfs

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 13 Apr 2018 01:17:37 +0200

Alex Branham <[email-masked]> writes:

> M-x eww
> (navigate to a pdf, I found this by searching "pdf test page"): http://www.orimi.com/pdf-test.pdf
>
> then eval (buffer-file-name)
>
> For me, it returns nil even though the pdf is a file on my computer (somewhere in /tmp for me).

I don't think that's the right thing to do.  It's an eww buffer, not a
buffer tied to the file in question (even if it's showing a rendering of
the file).

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no